<template>
    <div>
        <el-dialog
            title=""
            :visible.sync="dialogVisible"
            :width="width"
            @close="close"
        >
            <slot></slot>
        </el-dialog>
    </div>
</template>

<script lang="ts">
import { Vue, Component, PropSync, Prop, Emit } from 'vue-property-decorator';

@Component
export default class UiDialog extends Vue {
    @PropSync('isVisible') dialogVisible!: boolean;
    @Prop() width!: string;

    @Emit('closeDialog') closeDialog() {
        return;
    }

    close() {
        this.closeDialog();
    }
}
</script>